/**
 * Checkout puslapis (WooCommerce Checkout)
 * Priklauso: customer details, order review, payment methods, place order
 */

#checkout-page-container .wc-coupon-wrap {
  margin-bottom: 20px;
  margin-left: 0;
}

#checkout-page-container .wc-coupon-wrap .woocommerce-info-text {
  font-family: var(--font-family-secondary);
  font-size: 20px;
  line-height: 27px;
  font-weight: 400;
  color: var(--secondary-color);
}

#checkout-page-container .wc-coupon-wrap .woocommerce-info-text a.showcoupon {
  color: var(--primary-color);
}

#checkout-page-container #customer_details p label {
  margin-bottom: 3px;
}

#checkout-page-container #customer_details p label,
#checkout-page-container #customer_details p label .required {
  font-family: var(--font-family-secondary);
  font-size: 18px;
  line-height: 25px;
  font-weight: 400;
  color: var(--grey-text-color);
}

#checkout-page-container #customer_details p input,
#checkout-page-container #customer_details p select {
  background-color: transparent !important;
  border: 1px solid var(--bg-grey-color) !important;
  border-radius: 50px;
  padding: 10px 21px;
  font-family: var(--font-family-secondary);
  font-size: 18px;
  line-height: 25px;
  font-weight: 400;
  color: var(--secondary-color);
}

#checkout-page-container #customer_details p input {
  margin: unset !important;
}

#checkout-page-container #customer_details p {
  margin-bottom: 17px;
}

#checkout-page-container #customer_details #billing_country_field {
  margin-bottom: 26px !important;
}

#checkout-page-container #customer_details #billing_address_2_field {
  margin-bottom: 28px !important;
}

#checkout-page-container #customer_details #billing_postcode_field {
  margin-bottom: 21px !important;
}

#checkout-page-container #customer_details #billing_email_field {
  margin-bottom: 29px !important;
}

.woocommerce-billing-fields {
  padding-bottom: 0 !important;
}

.woocommerce-shipping-fields {
  padding-top: 0 !important;
  margin-bottom: 0 !important;
}

#order_comments_field {
  margin: 0 !important;
}

form .form-row textarea {
  border-radius: 20px;
  height: 172px;
}

#checkout-page-container #customer_details p input:not(:placeholder-shown) {
  background-color: var(--bg-grey-color) !important;
}

form.the7-woocommerce-checkout .form-row {
  padding-bottom: unset;
}

form .form-row-first,
form .form-row-last,
#billing_country {
  float: unset;
  width: 100%;
}

form .form-row-first,
form .form-row-last {
  padding: 0;
}

#checkout-page-container .wc-order-review #order_review_heading {
  font-family: var(--font-family-primary) !important;
  text-transform: uppercase;
  font-size: 24px !important;
  line-height: 31px !important;
  font-weight: 400 !important;
  color: var(--primary-color) !important;
  margin-bottom: 16.5px !important;
}

#checkout-page-container .wc-order-review .cart_item {
  padding: 10.5px 0 15.5px;
}

#checkout-page-container .wc-order-review .product-name {
  font-family: var(--font-family-primary) !important;
  color: var(--primary-color) !important;
  font-size: 20px !important;
  line-height: 26px !important;
  font-weight: 400 !important;
}

#checkout-page-container .wc-order-review .product-quantity {
  font-family: var(--font-family-secondary);
  font-size: 14px;
  line-height: 19px;
  font-weight: 400;
  color: var(--grey-text-color);
  margin-left: 5px;
}

#checkout-page-container .woocommerce-checkout-review-order-table tr th,
#checkout-page-container .wc-order-review .product-total {
  font-family: var(--font-family-secondary);
  font-size: 14px;
  line-height: 19px;
  font-weight: 400;
  color: var(--grey-text-color);
}

#checkout-page-container .woocommerce-Price-amount.amount {
  font-family: var(--font-family-secondary);
  font-size: 20px;
  line-height: 27px;
  font-weight: 400;
  color: var(--secondary-color);
}

#checkout-page-container .wc-order-review .order-total .amount {
  font-family: var(--font-family-secondary);
  font-size: 30px;
  line-height: 41px;
  font-weight: 400;
  color: var(--secondary-color);
}

#checkout-page-container .wc_payment_method label,
#checkout-page-container .payment_box p,
#checkout-page-container .woocommerce-privacy-policy-text p,
#checkout-page-container .woocommerce-terms-and-conditions-checkbox-text {
  font-family: var(--font-family-secondary);
  font-size: 18px;
  line-height: 25px;
  font-weight: 400;
  color: var(--grey-text-color);
}

#checkout-page-container .woocommerce-privacy-policy-text p a,
#checkout-page-container .woocommerce-terms-and-conditions-checkbox-text a {
  color: var(--primary-color);
}

.form-row.validate-required {
  margin-bottom: 30px;
}

#checkout-page-container input[type="radio"] {
  appearance: none;
  width: 21px;
  height: 21px;
  border: 1px solid var(--grey-text-color);
  border-radius: 50%;
  position: relative;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  margin-right: 7px;
}

#place_order {
  font-family: var(--font-family-secondary) !important;
  font-size: 17px;
  line-height: 23px;
  font-weight: 400 !important;
  color: var(--secondary-color);
  width: 100%;
  border-radius: 50px !important;
  border: 1px solid var(--primary-color) !important;
  background-color: var(--primary-color);
  padding: 10px 0;
  text-transform: uppercase !important;
  transition: background-color 0.3s ease;
}

#place_order:hover {
  background-color: transparent;
  color: var(--primary-color);
}

#terms_description {
  margin-top: 30px;
  font-family: var(--font-family-secondary);
  font-size: 18px;
  line-height: 25px;
  font-weight: 400;
  color: var(--primary-color);
}

.woocommerce-error {
  background-color: var(--primary-color);
}

.woocommerce-error-text a,
body .woocommerce-error * {
  color: var(--secondary-color) !important;
}

.woocommerce-error::before,
.close-message::before,
.woocommerce-error .close-message::before {
  background: var(--secondary-color);
}

#checkout-page-container input[type="radio"]:checked::before {
  content: "";
  width: 15px;
  height: 15px;
  background: var(--primary-color);
  border-radius: 50%;
  position: absolute;
}

#checkout-page-container .payment_method_wrapper {
  display: flex;
  align-items: center;
}

#checkout-page-container #shipping_method li {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  margin: 10px 0;
}

#checkout-page-container #shipping_method .woocommerce-Price-amount.amount {
  font-size: 16px;
}